curl --request POST \
--url https://api.eflow.team/v1/networks/affiliatetiers \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "Gold10",
"status": "active",
"description": "Top performing partners",
"network_affiliate_ids": [
14,
21,
35
],
"payout_margin": 10,
"is_default_tier": false,
"labels": [
"gold",
"premium"
]
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliatetiers"
payload = {
"name": "Gold10",
"status": "active",
"description": "Top performing partners",
"network_affiliate_ids": [14, 21, 35],
"payout_margin": 10,
"is_default_tier": False,
"labels": ["gold", "premium"]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Gold10',
status: 'active',
description: 'Top performing partners',
network_affiliate_ids: [14, 21, 35],
payout_margin: 10,
is_default_tier: false,
labels: ['gold', 'premium']
})
};
fetch('https://api.eflow.team/v1/networks/affiliatetiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_affiliate_tier_id": 2,
"network_id": 1,
"name": "Gold10",
"status": "active",
"description": "Top performing partners",
"network_affiliate_ids": [
14,
21,
35
],
"payout_margin": 10,
"is_default_tier": false,
"time_created": 1774620705,
"time_saved": 1774620705
}Create Affiliate Tier
Authorizations
The Everflow API key generated from the Control Center > Security.
Body
The name of the affiliate tier.
Status of the affiliate tier. Can be one of the following values - active, paused or deleted.
active, paused, deleted The payout margin percentage applied to affiliates in this tier.
Whether or not the affiliate tier will be automatically tied to all new partners.
Optional description of the affiliate tier.
IDs of the affiliates to assign to this tier.
List of labels to associate with the affiliate tier.
Response
The unique ID of the affiliate tier.
The ID of the network this tier belongs to.
The name of the affiliate tier.
Status of the affiliate tier. Can be one of the following values - active, paused or deleted.
active, paused, deleted Optional description of the affiliate tier.
IDs of the affiliates assigned to this tier.
The affiliate's payout margin.
Whether or not the affiliate tier will be automatically tied to all new partners.
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Related data for this affiliate tier. Populate by passing the relationship query parameter (e.g. ?relationship=all).
Show child attributes
Show child attributes
Was this page helpful?
